Subject: bug#52842: closed (Re: bug#52842: gnu: tootle: Fix build.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Jan 2022 22:08:02 +0000

Your bug report

#52842: gnu: tootle: Fix build.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52842: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52842
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52842: gnu: tootle: Fix build.
From: Ludovic Courtès <[email-masked]>
To: Taiju HIGASHI <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Jan 2022 23:07:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Taiju HIGASHI <[email-masked]> skribis:

> ---
>  gnu/packages/mastodon.scm                     | 28 +++++---
>  ...re-to-GLib.Object-naming-conventions.patch | 66 +++++++++++++++++++
>  ...-reason_phrase-instead-of-get_phrase.patch | 48 ++++++++++++++
>  3 files changed, 132 insertions(+), 10 deletions(-)
>  create mode 100644 gnu/packages/patches/tootle-Adhere-to-GLib.Object-naming-conventions.patch
>  create mode 100644 gnu/packages/patches/tootle-Use-reason_phrase-instead-of-get_phrase.patch

I shortened the patch file names, added a commit log, and committed.

Thanks!

Ludo’.

Subject: gnu: tootle: Fix build.
From: Taiju HIGASHI <[email-masked]>
To: [email-masked]
Date: Tue, 28 Dec 2021 14:00:35 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

When I installed tootle, it failed to build, so I wrote a patch for it.
This patch is implemented based on the build process of Arch Linux and Alpine
Linux.

Reference:
  Arch:
    https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=tootle&id=983f732380a292968682572239e10fca42358054
  Alpine:
    https://gitlab.alpinelinux.org/alpine/aports/-/blob/899841f0052fb5768afac44ec410f850507c0282/community/tootle/APKBUILD

----------------------------------------------------------------
Taiju HIGASHI (1):
      gnu: tootle: Fix build.

 gnu/packages/mastodon.scm                          | 28 +++++----
 ...-Adhere-to-GLib.Object-naming-conventions.patch | 66 ++++++++++++++++++++++
 ...e-Use-reason_phrase-instead-of-get_phrase.patch | 48 ++++++++++++++++
 3 files changed, 132 insertions(+), 10 deletions(-)
 create mode 100644 gnu/packages/patches/tootle-Adhere-to-GLib.Object-naming-conventions.patch
 create mode 100644 gnu/packages/patches/tootle-Use-reason_phrase-instead-of-get_phrase.patch